## net.sourceforge.pmd.jbuilder
Class RuleSetPropertyGroup

public class RuleSetPropertyGroup
implements PropertyGroup

  put your documentation comment here

Field Detail

### RULESETS

    public static final String RULESETS

  BEGIN - RULE DEFINITION SECTION To add new rule sets simply create a new rule set name constant, create GlobalProperty constant, and add each to their respective arrays.

Constructor Detail

### RuleSetPropertyGroup

    public RuleSetPropertyGroup()

  Standard Constructor

Method Detail

### initializeProperties

    public void initializeProperties()

  Called by JBuilder

### getPageFactory

    public PropertyPageFactory getPageFactory(Object topic)

  Create the panel that will go in the property page

Parameters:
  `topic` - Topic of page (represented as a tab in the property page)
Returns:
  Factory for creating property pages - this factory will create RuleSetPropertyPages